Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
- CharArrayReader
- CharArrayReaderData
- ClassPath
- ClassRepresentation
- DirectoryClassPath
- DocStrings
- EditDistance
- EmptyAction
- Exceptional
- FailedInterrupt
- InterruptReq
- JavaCharArrayReader
- JavaClassPath
- MergedClassPath
- ShowPickled
- SimpleTracer
- StackTraceOps
- StringUtil
- WorkScheduler

c

scala.tools.nsc.util

# CharArrayReader

###

#### abstract class CharArrayReader extends CharArrayReaderData

Self Type
  CharArrayReader
Source
  CharArrayReader.scala

Linear Supertypes
CharArrayReaderData, AnyRef, Any
Known Subclasses
ParensAnalyzer, Scanner, SourceFileScanner, UnitScanner, ScaladocUnitScanner, CharArrayLookaheadReader
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharArrayReader
2. CharArrayReaderData
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CharArrayReader()

### Type Members

1.  class CharArrayLookaheadReader extends CharArrayReader

### Abstract Value Members

1.  abstract val buf: Array[Char]
2.  abstract def error(offset: Int, msg: String): Unit

   An error routine to call on bad unicode escapes \\uxxxx.

   An error routine to call on bad unicode escapes \\uxxxx.

   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CharArrayReader toany2stringadd[CharArrayReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CharArrayReader, B)
   Implicit
     This member is added by an implicit conversion from CharArrayReader toArrowAssoc[CharArrayReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val ch: Char

   the last read character

   the last read character

   Definition Classes
     CharArrayReaderData
8.  val charOffset: Int

   The offset one past the last read character

   The offset one past the last read character

   Definition Classes
     CharArrayReaderData
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def copyFrom(cd: CharArrayReaderData): CharArrayReader.this.type
    Definition Classes
      CharArrayReaderData
11.  def decodeUni: Boolean
12.  def ensuring(cond: (CharArrayReader) => Boolean, msg: => Any): CharArrayReader
    Implicit
      This member is added by an implicit conversion from CharArrayReader toEnsuring[CharArrayReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CharArrayReader) => Boolean): CharArrayReader
    Implicit
      This member is added by an implicit conversion from CharArrayReader toEnsuring[CharArrayReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): CharArrayReader
    Implicit
      This member is added by an implicit conversion from CharArrayReader toEnsuring[CharArrayReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CharArrayReader
    Implicit
      This member is added by an implicit conversion from CharArrayReader toEnsuring[CharArrayReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CharArrayReader toStringFormat[CharArrayReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def isUnicodeEscape: Boolean

    Is last character a unicode escape \\uxxxx?

24.  val lastLineStartOffset: Int

    The start offset of the line before the current one

    The start offset of the line before the current one

    Definition Classes
      CharArrayReaderData
25.  val lastUnicodeOffset: Int
    Attributes
      protected
    Definition Classes
      CharArrayReaderData
26.  val lineStartOffset: Int

    The start offset of the current line

    The start offset of the current line

    Definition Classes
      CharArrayReaderData
27.  def lookaheadReader: CharArrayLookaheadReader

    A new reader that takes off at the current character position

28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def nextChar(): Unit

    Advance one character; reducing CR;LF pairs to just LF

30.  final def nextRawChar(): Unit

    Advance one character, leaving CR;LF pairs intact.

    Advance one character, leaving CR;LF pairs intact. This is for use in multi-line strings, so there are no "potential line ends" here.

31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (CharArrayReader, B)
   Implicit
     This member is added by an implicit conversion from CharArrayReader toArrowAssoc[CharArrayReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from CharArrayReaderData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCharArrayReader to any2stringadd[CharArrayReader]

### Inherited by implicit conversion StringFormat fromCharArrayReader to StringFormat[CharArrayReader]

### Inherited by implicit conversion Ensuring fromCharArrayReader to Ensuring[CharArrayReader]

### Inherited by implicit conversion ArrowAssoc fromCharArrayReader to ArrowAssoc[CharArrayReader]

### Ungrouped